Retrieve a list of supported locales Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.api.pronouns.page/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Base API Docs MCP server": {
    "url": "https://docs.api.pronouns.page/mcp"
  }
}

Close
GET /locales

Get a list of all locales supported by the API.

Headers

  • Accept string Required

    The format to return errors in (if applicable) and, for some endpoints, the format to return the data in. In general, we recommend having it set to application/json

    Values are application/json, text/calendar, text/plain, or text/html. Default value is application/json.

Responses

  • 200 application/json

    A JSON array of supported locales

    Hide response attributes Show response attributes object
    • code string Required

      A two-letter language code according to ISO 639-1 or a three-letter language code if no suitable code is assigned by this standard.

    • name string Required

      The name of the locale in its own language.

    • nameEnglish string Required

      The name of the locale in English.

    • url string Required

      The URL for this locale

    • published boolean Required

      Indicates if the locale is published and available for use.

      Value is true.

    • family string Required

      The language family that the locale belongs to (e.g., "romance", "germanic", "slavic").

      Values are romance, germanic, slavic, constructed, japonic, semitic, vietic, turkic, uralic, or finnish.

    • extra string | null Required

      Any extra information about the locale that may be relevant for display or categorization purposes.

  • default application/json

    Basic Error Response

    Hide response attributes Show response attributes object
    • statusCode number Required

      The HTTP Status Code associated with the error

    • error boolean Required

      Indicates that the response is an error

      Value is true.

    • statusMessage string Required

      The message associated with the error

    • message string Required

      The message associated with the error (client visible)

    • url string Required

      The URL that was requested which resulted in the error

GET /locales
curl \
 --request GET 'https://en.pronouns.page/api/public/v3/locales' \
 --header "Accept: application/json"
Response examples (200)
[
  {
    "code": "en",
    "name": "English",
    "nameEnglish": "English",
    "url": "https://en.pronouns.page",
    "published": true,
    "family": "germanic",
    "extra": null
  },
  {
    "code": "pl",
    "name": "Polski",
    "nameEnglish": "Polish",
    "url": "https://zaimki.pl",
    "published": true,
    "family": "slavic",
    "extra": null
  },
  {
    "code": "lad",
    "name": "Ladino",
    "nameEnglish": "Ladin",
    "url": "https://lad.pronouns.page",
    "published": true,
    "family": "romance",
    "extra": "Djudezmo"
  }
]
Response examples (default)
The request contains invalid content
{
  "error": true,
  "statusCode": 400,
  "statusMessage": "Bad Request",
  "message": "XYZ contains an invalid value",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The user requesting this data is not authorised to access the requested section
{
  "error": true,
  "statusCode": 401,
  "statusMessage": "Unauthorised",
  "message": "You are not authorised to access this content",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested item could not be resolved/located
{
  "error": true,
  "statusCode": 404,
  "statusMessage": "Not Found",
  "message": "Requested Item Not Found",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested API version has either been completely removed or marked as depreciated
{
  "error": true,
  "statusCode": 410,
  "statusMessage": "Gone",
  "message": "v1 has been marked as depreciated; please use v2 or v3",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
Unknown Server Error
{
  "error": true,
  "statusCode": 500,
  "statusMessage": "Server Error",
  "message": "An unknown server error has occured, please try again later",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}